%Copyright (c) 2010, Luuk J.G.W. van Wilderen
%
%load_SVD_specs.m

%Show extra options if 'SVD'- radio button is selected
function load_SVD_specs(source,eventdata)

if strcmp(get(get(source,'SelectedObject'),'String'),'SVD')==1
     set(findobj('Tag','nr_SVD_comps_text_box'),'visible','on')
     set(findobj('Tag','nr_SVD_comps_box'),'visible','on')
     set(findobj('Tag','SVD_contrib_toggle'),'visible','on')
elseif strcmp(get(get(source,'SelectedObject'),'String'),'All data')==1
    set(findobj('Tag','nr_SVD_comps_text_box'),'Visible','off');
    set(findobj('Tag','SVD_contrib_toggle'),'Value',0,'Visible','off');
    set(findobj('Tag','nr_SVD_comps_box'),'String',num2str(0),'Visible','off');
end    